/*
 * @(#) Sure64.java   Prs 05 Kas 2009 19:27:27 CET
 *
 * Murat iNAN, http://www.dilmerkezi.net
 *             muratsivas76@gmail.com
 */

package net.dilmerkezi.sures;

/**
 *
 * Note that we got the Spanish translation of the Coran
 *      from islamelsalvador.com, islamelsalvador@gmail.com
 *
 * @author Murat iNAN, muratsivas76@gmail.com
 *         www.dilmerkezi.net/eng.html
 */
final
public class Sure64
     extends Object
  implements java.io.Serializable, Sure
{

    /** Constructor */
    protected Sure64 ()
    {}

    private static final String [] ayts =
    {
        "#64=At-Tagh\u00E1bun=El Enga\u00F1o Mutuo=Medinesa=18",
        "1. Lo que est\u00E1 en los cielos y en latierra glorifica a Al\u00E1. Suyo es el dominio, Suya la alabanza. Es omnipotente.",
        "2. \u00C9l es Quien os ha creado. Entrevosotros, unos son infieles, otros son creyentes. Al\u00E1 ve bien lo que hac\u00E9is.",
        "3. Ha creado con un fin los cielos y latierra y a vosotros os ha formado armoniosamente. \u00A1Es \u00C9l el fin de todo!",
        "4. Conoce lo que est\u00E1 en los cielos yen la tierra, conoce lo que ocult\u00E1is y lo que manifest\u00E1is. Y Al\u00E1 conoce bien lo que encierran los pechos.",
        "5. \u00BFNo os hab\u00E9is enterado de lo quepas\u00F3 a los que fueron antes infieles y gustaron la gravedad de su conducta? Tendr\u00E1n un castigo doloroso.",
        "6. Porque vinieron a ellos susenviados con las pruebas claras y dijeron: \u00AB\u00BFEs que van a dirigirnos unos mortales?\u00BB No creyeron y volvieron la espalda. Pero Al\u00E1 no necesitaba de ellos. Al\u00E1 Se basta a S\u00ED mismo, es digno de alabanza.",
        "7. Los infieles pretenden que no van aser resucitados. Di: \u00AB\u00A1Claro que s\u00ED, por mi Se\u00F1or!, que hab\u00E9is de ser resucitados y, luego, hab\u00E9is de ser informados de lo que hicisteis. Es cosa f\u00E1cil para Al\u00E1\u00BB.",
        "8. \u00A1Creed, pues, en Al\u00E1, en SuEnviado y en la Luz que Nosotros hemos revelado! Al\u00E1 est\u00E1 bien informado de lo que hac\u00E9is.",
        "9. El d\u00EDa que \u00C9l os re\u00FAna para el d\u00EDade la Reuni\u00F3n, \u00E9se ser\u00E1 el d\u00EDa del Enga\u00F1o Mutuo. Entonces, a quienes crean en Al\u00E1 y obren bien, \u00C9l les borrar\u00E1 sus malas obras y les introducir\u00E1 en jardines por cuyos bajos fluyen arroyos, en los que estar\u00E1n eternamente, para siempre. \u00A1\u00C9se es el \u00E9xito grandioso!",
        "10. Pero quienes no crean ydesmientan Nuestros signos, \u00E9sos morar\u00E1n en el Fuego eternamente. \u00A1Qu\u00E9 mal fin...!",
        "11. No sucede ninguna desgracia siAl\u00E1 no lo permite. \u00C9l dirige el coraz\u00F3n de quien cree en Al\u00E1. Al\u00E1 es omnisciente.",
        "12. \u00A1Y obedeced a Al\u00E1, obedeced alEnviado! Si volv\u00E9is la espalda,... A Nuestro Enviado le incumbe s\u00F3lo la transmisi\u00F3n clara.",
        "13. \u00A1Al\u00E1! \u00A1No hay m\u00E1s dios que \u00C9l!\u00A1Que los creyentes conf\u00EDen en Al\u00E1!",
        "14. \u00A1Creyentes! En algunas devuestras esposas y en algunos de vuestros hijos ten\u00E9is un enemigo. \u00A1Cuidado con ellos! Pero, si sois indulgentes, si sois tolerantes, si perdon\u00E1is,... Al\u00E1 es indulgente, misericordioso.",
        "15. Vuestra hacienda y vuestros hijosno son m\u00E1s que tentaci\u00F3n, mientras que Al\u00E1 tiene junto a S\u00ED una magn\u00EDfica recompensa.",
        "16. \u00A1Temed cuanto pod\u00E1is a Al\u00E1!\u00A1Escuchad! \u00A1Obedeced! \u00A1Gastad! Es en vuestro propio beneficio. Los que se guardan de su propia codicia, \u00E9sos son los que prosperar\u00E1n.",
        "17. Si hac\u00E9is un pr\u00E9stamo generoso aAl\u00E1, \u00C9l os devolver\u00E1 el doble y os perdonar\u00E1. Al\u00E1 es muy agradecido, benigno.",
        "18. El Conocedor de lo oculto y de lopatente, el Poderoso, el Sabio.",
 
    };

    /** @return The ayets of this sura */
    public String [] getAyetes ()
    {
        return ayts;
    }

    /** @return Sura number */
    public int getSureNo ()
    {
        return 64;
    }

    /** @return Sura original name */
    public String getArabeName ()
    {
        return "At-Tagh\u00E1bun";
    }

    /** @return Sura Espanol name */
    public String getEspanolName ()
    {
        return "El Enga\u00F1o Mutuo";
    }

    /** @return Sura Wahy place */
    public String getPalace ()
    {
        return "Medinesa";
    }

    /** @return Sura Ayat count */
    public int getAyetCount ()
    {
        return 18;
    }

    /** @return Class Definition */
    public String toString ()
    {
        return "64: At-Tagh\u00E1bun";
    }

}//class end
